Runtime

## org.eclipse.gmf.runtime.notation.util
Class NotationAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.runtime.notation.util.NotationAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class NotationAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `NotationPackage`
** Generated **

Field Summary
`protected static NotationPackage` `modelPackage` The cached model package
`protected NotationSwitch` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`NotationAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAnchorAdapter()` Creates a new adapter for an object of class '`Anchor`'
`org.eclipse.emf.common.notify.Adapter` `createArrowStyleAdapter()` Creates a new adapter for an object of class '`Arrow Style`'
`org.eclipse.emf.common.notify.Adapter` `createBasicCompartmentAdapter()` Creates a new adapter for an object of class '`Basic Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createBasicDecorationNodeAdapter()` Creates a new adapter for an object of class '`Basic Decoration Node`'
`org.eclipse.emf.common.notify.Adapter` `createBasicSemanticCompartmentAdapter()` Creates a new adapter for an object of class '`Basic Semantic Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createBendpointsAdapter()` Creates a new adapter for an object of class '`Bendpoints`'
`org.eclipse.emf.common.notify.Adapter` `createBooleanListValueStyleAdapter()` Creates a new adapter for an object of class '`Boolean List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createBooleanValueStyleAdapter()` Creates a new adapter for an object of class '`Boolean Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createBoundsAdapter()` Creates a new adapter for an object of class '`Bounds`'
`org.eclipse.emf.common.notify.Adapter` `createByteArrayValueStyleAdapter()` Creates a new adapter for an object of class '`Byte Array Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createCanonicalStyleAdapter()` Creates a new adapter for an object of class '`Canonical Style`'
`org.eclipse.emf.common.notify.Adapter` `createCompartmentAdapter()` Creates a new adapter for an object of class '`Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createConnectorAdapter()` Creates a new adapter for an object of class '`Connector`'
`org.eclipse.emf.common.notify.Adapter` `createConnectorStyleAdapter()` Creates a new adapter for an object of class '`Connector Style`'
`org.eclipse.emf.common.notify.Adapter` `createDataTypeStyleAdapter()` Creates a new adapter for an object of class '`Data Type Style`'
`org.eclipse.emf.common.notify.Adapter` `createDecorationNodeAdapter()` Creates a new adapter for an object of class '`Decoration Node`'
`org.eclipse.emf.common.notify.Adapter` `createDescriptionStyleAdapter()` Creates a new adapter for an object of class '`Description Style`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramAdapter()` Creates a new adapter for an object of class '`Diagram`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramLinkStyleAdapter()` Creates a new adapter for an object of class '`Diagram Link Style`'
`org.eclipse.emf.common.notify.Adapter` `createDiagramStyleAdapter()` Creates a new adapter for an object of class '`Diagram Style`'
`org.eclipse.emf.common.notify.Adapter` `createDoubleListValueStyleAdapter()` Creates a new adapter for an object of class '`Double List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createDoubleValueStyleAdapter()` Creates a new adapter for an object of class '`Double Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createDrawerStyleAdapter()` Creates a new adapter for an object of class '`Drawer Style`'
`org.eclipse.emf.common.notify.Adapter` `createEdgeAdapter()` Creates a new adapter for an object of class '`Edge`'
`org.eclipse.emf.common.notify.Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createEObjectListValueStyleAdapter()` Creates a new adapter for an object of class '`EObject List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectValueStyleAdapter()` Creates a new adapter for an object of class '`EObject Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createFillStyleAdapter()` Creates a new adapter for an object of class '`Fill Style`'
`org.eclipse.emf.common.notify.Adapter` `createFilteringStyleAdapter()` Creates a new adapter for an object of class '`Filtering Style`'
`org.eclipse.emf.common.notify.Adapter` `createFontStyleAdapter()` Creates a new adapter for an object of class '`Font Style`'
`org.eclipse.emf.common.notify.Adapter` `createGuideAdapter()` Creates a new adapter for an object of class '`Guide`'
`org.eclipse.emf.common.notify.Adapter` `createGuideStyleAdapter()` Creates a new adapter for an object of class '`Guide Style`'
`org.eclipse.emf.common.notify.Adapter` `createHintedDiagramLinkStyleAdapter()` Creates a new adapter for an object of class '`Hinted Diagram Link Style`'
`org.eclipse.emf.common.notify.Adapter` `createIdentityAnchorAdapter()` Creates a new adapter for an object of class '`Identity Anchor`'
`org.eclipse.emf.common.notify.Adapter` `createImageAdapter()` Creates a new adapter for an object of class '`Image`'
`org.eclipse.emf.common.notify.Adapter` `createImageBufferStyleAdapter()` Creates a new adapter for an object of class '`Image Buffer Style`'
`org.eclipse.emf.common.notify.Adapter` `createImageStyleAdapter()` Creates a new adapter for an object of class '`Image Style`'
`org.eclipse.emf.common.notify.Adapter` `createIntListValueStyleAdapter()` Creates a new adapter for an object of class '`Int List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createIntValueStyleAdapter()` Creates a new adapter for an object of class '`Int Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createLayoutConstraintAdapter()` Creates a new adapter for an object of class '`Layout Constraint`'
`org.eclipse.emf.common.notify.Adapter` `createLineStyleAdapter()` Creates a new adapter for an object of class '`Line Style`'
`org.eclipse.emf.common.notify.Adapter` `createLineTypeStyleAdapter()` Creates a new adapter for an object of class '`Line Type Style`'
`org.eclipse.emf.common.notify.Adapter` `createListCompartmentAdapter()` Creates a new adapter for an object of class '`List Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createListValueStyleAdapter()` Creates a new adapter for an object of class '`List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createLocationAdapter()` Creates a new adapter for an object of class '`Location`'
`org.eclipse.emf.common.notify.Adapter` `createMultiDiagramLinkStyleAdapter()` Creates a new adapter for an object of class '`Multi Diagram Link Style`'
`org.eclipse.emf.common.notify.Adapter` `createNamedStyleAdapter()` Creates a new adapter for an object of class '`Named Style`'
`org.eclipse.emf.common.notify.Adapter` `createNodeAdapter()` Creates a new adapter for an object of class '`Node`'
`org.eclipse.emf.common.notify.Adapter` `createNodeEntryAdapter()` Creates a new adapter for an object of class '`Node Entry`'
`org.eclipse.emf.common.notify.Adapter` `createPageStyleAdapter()` Creates a new adapter for an object of class '`Page Style`'
`org.eclipse.emf.common.notify.Adapter` `createPropertiesSetStyleAdapter()` Creates a new adapter for an object of class '`Properties Set Style`'
`org.eclipse.emf.common.notify.Adapter` `createPropertyValueAdapter()` Creates a new adapter for an object of class '`Property Value`'
`org.eclipse.emf.common.notify.Adapter` `createRatioAdapter()` Creates a new adapter for an object of class '`Ratio`'
`org.eclipse.emf.common.notify.Adapter` `createRelativeBendpointsAdapter()` Creates a new adapter for an object of class '`Relative Bendpoints`'
`org.eclipse.emf.common.notify.Adapter` `createRoutingStyleAdapter()` Creates a new adapter for an object of class '`Routing Style`'
`org.eclipse.emf.common.notify.Adapter` `createSemanticListCompartmentAdapter()` Creates a new adapter for an object of class '`Semantic List Compartment`'
`org.eclipse.emf.common.notify.Adapter` `createShapeAdapter()` Creates a new adapter for an object of class '`Shape`'
`org.eclipse.emf.common.notify.Adapter` `createShapeStyleAdapter()` Creates a new adapter for an object of class '`Shape Style`'
`org.eclipse.emf.common.notify.Adapter` `createSingleValueStyleAdapter()` Creates a new adapter for an object of class '`Single Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createSizeAdapter()` Creates a new adapter for an object of class '`Size`'
`org.eclipse.emf.common.notify.Adapter` `createSortingStyleAdapter()` Creates a new adapter for an object of class '`Sorting Style`'
`org.eclipse.emf.common.notify.Adapter` `createStandardDiagramAdapter()` Creates a new adapter for an object of class '`Standard Diagram`'
`org.eclipse.emf.common.notify.Adapter` `createStringListValueStyleAdapter()` Creates a new adapter for an object of class '`String List Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createStringObjectConverterAdapter()` Creates a new adapter for an object of class '`String Object Converter`'
`org.eclipse.emf.common.notify.Adapter` `createStringToPropertyValueMapEntryAdapter()` Creates a new adapter for an object of class '`String To Property Value Map Entry`'
`org.eclipse.emf.common.notify.Adapter` `createStringValueStyleAdapter()` Creates a new adapter for an object of class '`String Value Style`'
`org.eclipse.emf.common.notify.Adapter` `createStyleAdapter()` Creates a new adapter for an object of class '`Style`'
`org.eclipse.emf.common.notify.Adapter` `createTextStyleAdapter()` Creates a new adapter for an object of class '`Text Style`'
`org.eclipse.emf.common.notify.Adapter` `createTitleStyleAdapter()` Creates a new adapter for an object of class '`Title Style`'
`org.eclipse.emf.common.notify.Adapter` `createViewAdapter()` Creates a new adapter for an object of class '`View`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static NotationPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected NotationSwitch modelSwitch

  The switch that delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### NotationAdapterFactory

    public NotationAdapterFactory()

  Creates an instance of the adapter factory.

  ** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createEdgeAdapter

    public org.eclipse.emf.common.notify.Adapter createEdgeAdapter()

  Creates a new adapter for an object of class '`Edge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Edge`
  ** Generated **

### createNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeAdapter()

  Creates a new adapter for an object of class '`Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Node`
  ** Generated **

### createStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleAdapter()

  Creates a new adapter for an object of class '`Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Style`
  ** Generated **

### createFillStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createFillStyleAdapter()

  Creates a new adapter for an object of class '`Fill Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FillStyle`
  ** Generated **

### createLineStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createLineStyleAdapter()

  Creates a new adapter for an object of class '`Line Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LineStyle`
  ** Generated **

### createFontStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createFontStyleAdapter()

  Creates a new adapter for an object of class '`Font Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FontStyle`
  ** Generated **

### createTitleStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createTitleStyleAdapter()

  Creates a new adapter for an object of class '`Title Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TitleStyle`
  ** Generated **

### createSortingStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createSortingStyleAdapter()

  Creates a new adapter for an object of class '`Sorting Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SortingStyle`
  ** Generated **

### createDescriptionStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDescriptionStyleAdapter()

  Creates a new adapter for an object of class '`Description Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DescriptionStyle`
  ** Generated **

### createLayoutConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutConstraintAdapter()

  Creates a new adapter for an object of class '`Layout Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LayoutConstraint`
  ** Generated **

### createSizeAdapter

    public org.eclipse.emf.common.notify.Adapter createSizeAdapter()

  Creates a new adapter for an object of class '`Size`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Size`
  ** Generated **

### createLocationAdapter

    public org.eclipse.emf.common.notify.Adapter createLocationAdapter()

  Creates a new adapter for an object of class '`Location`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Location`
  ** Generated **

### createBoundsAdapter

    public org.eclipse.emf.common.notify.Adapter createBoundsAdapter()

  Creates a new adapter for an object of class '`Bounds`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Bounds`
  ** Generated **

### createRatioAdapter

    public org.eclipse.emf.common.notify.Adapter createRatioAdapter()

  Creates a new adapter for an object of class '`Ratio`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Ratio`
  ** Generated **

### createAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createAnchorAdapter()

  Creates a new adapter for an object of class '`Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Anchor`
  ** Generated **

### createBendpointsAdapter

    public org.eclipse.emf.common.notify.Adapter createBendpointsAdapter()

  Creates a new adapter for an object of class '`Bendpoints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Bendpoints`
  ** Generated **

### createIdentityAnchorAdapter

    public org.eclipse.emf.common.notify.Adapter createIdentityAnchorAdapter()

  Creates a new adapter for an object of class '`Identity Anchor`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IdentityAnchor`
  ** Generated **

### createRoutingStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoutingStyleAdapter()

  Creates a new adapter for an object of class '`Routing Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RoutingStyle`
  ** Generated **

### createViewAdapter

    public org.eclipse.emf.common.notify.Adapter createViewAdapter()

  Creates a new adapter for an object of class '`View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `View`
  ** Generated **

### createRelativeBendpointsAdapter

    public org.eclipse.emf.common.notify.Adapter createRelativeBendpointsAdapter()

  Creates a new adapter for an object of class '`Relative Bendpoints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RelativeBendpoints`
  ** Generated **

### createCanonicalStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createCanonicalStyleAdapter()

  Creates a new adapter for an object of class '`Canonical Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CanonicalStyle`
  ** Generated **

### createShapeStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createShapeStyleAdapter()

  Creates a new adapter for an object of class '`Shape Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ShapeStyle`
  ** Generated **

### createConnectorStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorStyleAdapter()

  Creates a new adapter for an object of class '`Connector Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConnectorStyle`
  ** Generated **

### createDiagramAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramAdapter()

  Creates a new adapter for an object of class '`Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Diagram`
  ** Generated **

### createImageAdapter

    public org.eclipse.emf.common.notify.Adapter createImageAdapter()

  Creates a new adapter for an object of class '`Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Image`
  ** Generated **

### createPageStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createPageStyleAdapter()

  Creates a new adapter for an object of class '`Page Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PageStyle`
  ** Generated **

### createDrawerStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDrawerStyleAdapter()

  Creates a new adapter for an object of class '`Drawer Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DrawerStyle`
  ** Generated **

### createGuideStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createGuideStyleAdapter()

  Creates a new adapter for an object of class '`Guide Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GuideStyle`
  ** Generated **

### createGuideAdapter

    public org.eclipse.emf.common.notify.Adapter createGuideAdapter()

  Creates a new adapter for an object of class '`Guide`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Guide`
  ** Generated **

### createNodeEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeEntryAdapter()

  Creates a new adapter for an object of class '`Node Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Map.Entry`
  ** Generated **

### createFilteringStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createFilteringStyleAdapter()

  Creates a new adapter for an object of class '`Filtering Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FilteringStyle`
  ** Generated **

### createDiagramStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramStyleAdapter()

  Creates a new adapter for an object of class '`Diagram Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiagramStyle`
  ** Generated **

### createImageStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createImageStyleAdapter()

  Creates a new adapter for an object of class '`Image Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImageStyle`
  ** Generated **

### createImageBufferStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createImageBufferStyleAdapter()

  Creates a new adapter for an object of class '`Image Buffer Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImageBufferStyle`
  ** Generated **

### createPropertiesSetStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertiesSetStyleAdapter()

  Creates a new adapter for an object of class '`Properties Set Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertiesSetStyle`
  ** Generated **

### createStringToPropertyValueMapEntryAdapter

    public org.eclipse.emf.common.notify.Adapter createStringToPropertyValueMapEntryAdapter()

  Creates a new adapter for an object of class '`String To Property Value Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Map.Entry`
  ** Generated **

### createPropertyValueAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyValueAdapter()

  Creates a new adapter for an object of class '`Property Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PropertyValue`
  ** Generated **

### createSingleValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createSingleValueStyleAdapter()

  Creates a new adapter for an object of class '`Single Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SingleValueStyle`
  ** Generated **

### createListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createListValueStyleAdapter()

  Creates a new adapter for an object of class '`List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListValueStyle`
  ** Generated **

### createNamedStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createNamedStyleAdapter()

  Creates a new adapter for an object of class '`Named Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NamedStyle`
  ** Generated **

### createStringObjectConverterAdapter

    public org.eclipse.emf.common.notify.Adapter createStringObjectConverterAdapter()

  Creates a new adapter for an object of class '`String Object Converter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringObjectConverter`
  ** Generated **

### createDataTypeStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDataTypeStyleAdapter()

  Creates a new adapter for an object of class '`Data Type Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DataTypeStyle`
  ** Generated **

### createIntValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createIntValueStyleAdapter()

  Creates a new adapter for an object of class '`Int Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntValueStyle`
  ** Generated **

### createIntListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createIntListValueStyleAdapter()

  Creates a new adapter for an object of class '`Int List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntListValueStyle`
  ** Generated **

### createBooleanValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanValueStyleAdapter()

  Creates a new adapter for an object of class '`Boolean Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanValueStyle`
  ** Generated **

### createDoubleValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDoubleValueStyleAdapter()

  Creates a new adapter for an object of class '`Double Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DoubleValueStyle`
  ** Generated **

### createDoubleListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDoubleListValueStyleAdapter()

  Creates a new adapter for an object of class '`Double List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DoubleListValueStyle`
  ** Generated **

### createStringValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createStringValueStyleAdapter()

  Creates a new adapter for an object of class '`String Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringValueStyle`
  ** Generated **

### createStringListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createStringListValueStyleAdapter()

  Creates a new adapter for an object of class '`String List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringListValueStyle`
  ** Generated **

### createEObjectValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectValueStyleAdapter()

  Creates a new adapter for an object of class '`EObject Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EObjectValueStyle`
  ** Generated **

### createEObjectListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectListValueStyleAdapter()

  Creates a new adapter for an object of class '`EObject List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EObjectListValueStyle`
  ** Generated **

### createByteArrayValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createByteArrayValueStyleAdapter()

  Creates a new adapter for an object of class '`Byte Array Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ByteArrayValueStyle`
  ** Generated **

### createBooleanListValueStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanListValueStyleAdapter()

  Creates a new adapter for an object of class '`Boolean List Value Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanListValueStyle`
  ** Generated **

### createHintedDiagramLinkStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createHintedDiagramLinkStyleAdapter()

  Creates a new adapter for an object of class '`Hinted Diagram Link Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `HintedDiagramLinkStyle`
  ** Generated **

### createDiagramLinkStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramLinkStyleAdapter()

  Creates a new adapter for an object of class '`Diagram Link Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DiagramLinkStyle`
  ** Generated **

### createMultiDiagramLinkStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createMultiDiagramLinkStyleAdapter()

  Creates a new adapter for an object of class '`Multi Diagram Link Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MultiDiagramLinkStyle`
  ** Generated **

### createTextStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createTextStyleAdapter()

  Creates a new adapter for an object of class '`Text Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TextStyle`
  ** Generated **

### createLineTypeStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createLineTypeStyleAdapter()

  Creates a new adapter for an object of class '`Line Type Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LineTypeStyle`
  ** Generated **

### createArrowStyleAdapter

    public org.eclipse.emf.common.notify.Adapter createArrowStyleAdapter()

  Creates a new adapter for an object of class '`Arrow Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ArrowStyle`
  ** Generated **

### createShapeAdapter

    public org.eclipse.emf.common.notify.Adapter createShapeAdapter()

  Creates a new adapter for an object of class '`Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `Shape`
  ** Generated **

### createCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createCompartmentAdapter()

  Creates a new adapter for an object of class '`Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `Compartment`
  ** Generated **

### createListCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createListCompartmentAdapter()

  Creates a new adapter for an object of class '`List Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `ListCompartment`
  ** Generated **

### createConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorAdapter()

  Creates a new adapter for an object of class '`Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `Connector`
  ** Generated **

### createStandardDiagramAdapter

    public org.eclipse.emf.common.notify.Adapter createStandardDiagramAdapter()

  Creates a new adapter for an object of class '`Standard Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `StandardDiagram`
  ** Generated **

### createDecorationNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createDecorationNodeAdapter()

  Creates a new adapter for an object of class '`Decoration Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `DecorationNode`
  ** Generated **

### createBasicDecorationNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createBasicDecorationNodeAdapter()

  Creates a new adapter for an object of class '`Basic Decoration Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `BasicDecorationNode`
  ** Generated **

### createBasicCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createBasicCompartmentAdapter()

  Creates a new adapter for an object of class '`Basic Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `BasicCompartment`
  ** Generated **

### createBasicSemanticCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createBasicSemanticCompartmentAdapter()

  Creates a new adapter for an object of class '`Basic Semantic Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `BasicSemanticCompartment`
  ** Generated **

### createSemanticListCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createSemanticListCompartmentAdapter()

  Creates a new adapter for an object of class '`Semantic List Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    1.2
  See Also:
    `SemanticListCompartment`
  ** Generated **

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`
  ** Generated **

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.